Package org.apache.tapestry5.services

# Class ComponentEventRequestParameters

java.lang.Object
org.apache.tapestry5.services.ComponentEventRequestParameters

public final class ComponentEventRequestParameters extends Object
Encapsulates all the information that may be provided in a component event request URL.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentEventRequestParameters(String activePageName, String containingPageName, String nestedComponentId, String eventType, EventContext pageActivationContext, EventContext eventContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getActivePageName()`
  The name of the active page which rendered the link.
  `String`
  `getContainingPageName()`
  The name of the page containing the component that was triggered.
  `EventContext`
  `getEventContext()`
  The event context information passed in the URL.
  `String`
  `getEventType()`
  The type of event.
  `String`
  `getNestedComponentId()`
  The path from the containing page down to the component in question.
  `EventContext`
  `getPageActivationContext()`
  The activation context for the active page, possibly empty (but not null).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComponentEventRequestParameters

    public ComponentEventRequestParameters(String activePageName, String containingPageName, String nestedComponentId, String eventType, EventContext pageActivationContext, EventContext eventContext)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getActivePageName

    public String getActivePageName()
    The name of the active page which rendered the link. This is usually, but not always, the page which contains the component.
    Returns:
      `canonicalized` page name

  - ### getContainingPageName

    public String getContainingPageName()
    The name of the page containing the component that was triggered. Usually this is the same as the active page, but because of `Block` and similar constructs, a component from other than the active page may be rendered with the active page.
    Returns:
      `canonicalized` page name

  - ### getNestedComponentId

    public String getNestedComponentId()
    The path from the containing page down to the component in question. This may be the empty string if the action request is routed directly to the page rather than a component.

  - ### getEventType

    public String getEventType()
    The type of event. When not specified in the URL, a default type of "action" (`EventConstants.ACTION`) is provided.

  - ### getPageActivationContext

    public EventContext getPageActivationContext()
    The activation context for the active page, possibly empty (but not null).
    See Also:
      - `ComponentResourcesCommon.triggerContextEvent(String, org.apache.tapestry5.EventContext, org.apache.tapestry5.ComponentEventCallback)`

  - ### getEventContext

    public EventContext getEventContext()
    The event context information passed in the URL. Possibly empty (not not null).
    See Also:
      - `ComponentResourcesCommon.triggerContextEvent(String, org.apache.tapestry5.EventContext, org.apache.tapestry5.ComponentEventCallback)`